openapi: 3.1.0
x-stoplight:
  id: g5ozlgi4tw2y3
info:
  title: Tonic CheckIn API
  version: '1.0'
  description: API to allow clients to checkin
  summary: Tonic CheckIn API
servers:
  - url: https://api-demo.tonicticketing.com/v1/
    description: Playpen
  - url: https://api.tonicticketing.com/v1/
    description: Production
  - url: https://api-qa.tonicticketing.com/v1/
    description: ''
paths:
  /tickets/check-in:
    parameters: []
    post:
      summary: ''
      operationId: Check In
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  check_ins:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        result:
                          type: string
                        ticket:
                          type: object
                          properties:
                            _id:
                              type: string
                            reference:
                              type: string
                            guest_name:
                              type: string
                            guest_email:
                              type: 'null'
                            checked_in:
                              type: object
                              properties:
                                date:
                                  type: string
                                timezone_type:
                                  type: integer
                                timezone:
                                  type: string
                            checked_in_by:
                              type: string
                            check_in_device_name:
                              type: string
                            check_in_source:
                              type: string
                x-examples:
                  Example 1:
                    check_ins:
                      - - _id: 63f49900880ea0322d362f62
                          result: success
                          ticket:
                            _id: 63f49900880ea0322d362f62
                            reference: EXT-8872408597-984
                            guest_name: Sean Anderson
                            guest_email: null
                            checked_in:
                              date: '2022-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Sean Device
                            check_in_source: com_designmynight_tickets
              examples:
                Successful check in:
                  value:
                    check_ins:
                      - - _id: 627e095671209038d339a184
                          result: success
                          ticket:
                            _id: 627e095671209038d339a184
                            reference: DMN-7930721728-176
                            guest_name: Adina Macovei
                            guest_email: adina.macovei@theaccessgroup.com
                            checked_in:
                              date: '2023-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Another
                            check_in_source: designmynight-ticket-scanner
                        - _id: 627e095671209038d339a185
                          result: success
                          ticket:
                            _id: 627e095671209038d339a185
                            reference: DMN-7930721728-177
                            guest_name: Adina Macovei
                            guest_email: adina.macovei@theaccessgroup.com
                            checked_in:
                              date: '2022-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Sweden
                            check_in_source: designmynight-ticket-scanner
                Ticket already checked in:
                  value:
                    check_ins:
                      - - _id: 63f49900880ea0322d362f62
                          result: Ticket has already been checked in
                          ticket:
                            _id: 63f49900880ea0322d362f62
                            reference: EXT-8872408597-984
                            guest_name: Sean Anderson
                            guest_email: null
                            checked_in:
                              date: '2022-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Sean Device
                            check_in_source: com_designmynight_tickets
                Combination of ticket already checked in and successful checkin:
                  value:
                    check_ins:
                      - - _id: 63f49900880ea0322d362f62
                          result: Ticket has already been checked in
                          ticket:
                            _id: 63f49900880ea0322d362f62
                            reference: EXT-8872408597-984
                            guest_name: Sean Anderson
                            guest_email: null
                            checked_in:
                              date: '2022-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Sean Device
                            check_in_source: com_designmynight_tickets
                      - - _id: 63f4b108880ea03e5309c653
                          result: success
                          ticket:
                            _id: 63f4b108880ea03e5309c653
                            reference: EXT-8872417951-1
                            guest_name: Sean Anderson
                            guest_email: null
                            checked_in:
                              date: '2022-11-11 10:00:00.000000'
                              timezone_type: 3
                              timezone: Europe/London
                            checked_in_by: 5cac72c02cfe5f6cd1437823
                            check_in_device_name: Sean Device
                            check_in_source: com_designmynight_tickets
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: string
                x-examples:
                  Example 1:
                    results: No purchase found for tickets
              examples:
                Example 1:
                  value:
                    results: No purchase found for tickets
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  tickets:
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.2
                      device_name: Sweden
                      time: '2022-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.1
                      device_name: Another
                      time: '2023-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                  async: true
              properties:
                tickets:
                  type: array
                  items:
                    type: object
                    properties:
                      ticket_id:
                        type: string
                        description: ID of the ticket to be chacked in
                      device_name:
                        type: string
                        description: The device name which is checking in the ticket.
                      time:
                        type: string
                        description: The date time for the check in.
                      source:
                        type: string
                    required:
                      - ticket_id
                      - device_name
                      - time
                      - source
                async:
                  type: boolean
                  description: >-
                    Whether to be proccessed on queue or not. Note when using
                    async you will not recieve a confirmation of ticket being
                    chacked in.
              required:
                - tickets
            examples:
              Check In Example:
                value:
                  tickets:
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.2
                      device_name: Sweden
                      time: '2022-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.1
                      device_name: Another
                      time: '2023-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                  async: false
        description: ''
      parameters:
        - schema:
            type: string
          in: header
          name: authorization
          description: Contains bearer followed by bearer token
          required: true
  /tickets/check-out:
    parameters: []
    post:
      summary: ''
      operationId: Check Out
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  check_outs:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        reference:
                          type: integer
                        checked_in:
                          type: 'null'
                x-examples:
                  Example 1:
                    check_outs:
                      - - _id: 63f49900880ea0322d362f62
                          reference: 984
                          checked_in: null
              examples:
                Successful check out:
                  value:
                    check_outs:
                      - - _id: 63f49900880ea0322d362f62
                          reference: 984
                          checked_in: null
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: string
                x-examples:
                  Example 1:
                    results: No purchase found for tickets
              examples:
                Example 1:
                  value:
                    results: No purchase found for tickets
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  exception:
                    type: string
                  file:
                    type: string
                  line:
                    type: integer
                  trace:
                    type: array
                    items:
                      type: object
                      properties:
                        file:
                          type: string
                        line:
                          type: integer
                        function:
                          type: string
                        class:
                          type: string
                        type:
                          type: string
                x-examples:
                  Example 1:
                    message: This ticket is not checked in
                    exception: >-
                      App\Exceptions\CheckInExceptions\TicketNotCheckedInException
                    file: /var/www/localhost/htdocs/app/Services/CheckInService.php
                    line: 95
                    trace:
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/CheckInService.php
                        line: 58
                        function: canCheckOut
                        class: App\Services\CheckInService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/TicketCheckinService.php
                        line: 199
                        function: checkOut
                        class: App\Services\CheckInService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/TicketCheckinService.php
                        line: 256
                        function: doCheckOut
                        class: App\Services\TicketCheckinService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Controllers/TicketController.php
                        line: 58
                        function: checkOutTickets
                        class: App\Services\TicketCheckinService
                        type: '->'
                      - function: checkOutTickets
                        class: App\Http\Controllers\TicketController
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Controller.php
                        line: 54
                        function: call_user_func_array
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/ControllerDispatcher.php
                        line: 45
                        function: callAction
                        class: Illuminate\Routing\Controller
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Route.php
                        line: 219
                        function: dispatch
                        class: Illuminate\Routing\ControllerDispatcher
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Route.php
                        line: 176
                        function: runController
                        class: Illuminate\Routing\Route
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 680
                        function: run
                        class: Illuminate\Routing\Route
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 30
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Middleware/EnsurePermissionsString.php
                        line: 57
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: App\Http\Middleware\EnsurePermissionsString
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/designmynight/laravel-oauth-introspect-middleware/src/VerifyAccessToken.php
                        line: 23
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: DesignMyNight\Laravel\OAuth2\VerifyAccessToken
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Middleware/SubstituteBindings.php
                        line: 41
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Illuminate\Routing\Middleware\SubstituteBindings
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/barryvdh/laravel-cors/src/HandleCors.php
                        line: 36
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Barryvdh\Cors\HandleCors
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Middleware/SecureRedirect.php
                        line: 28
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: App\Http\Middleware\SecureRedirect
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 104
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 682
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 657
                        function: runRouteWithinStack
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 623
                        function: runRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 612
                        function: dispatchToRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 176
                        function: dispatch
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 30
                        function: Illuminate\Foundation\Http\{closure}
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/fideloper/proxy/src/TrustProxies.php
                        line: 57
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Fideloper\Proxy\TrustProxies
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/ValidatePostSize.php
                        line: 27
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/CheckForMaintenanceMode.php
                        line: 62
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\CheckForMaintenanceMode
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/barryvdh/laravel-cors/src/HandlePreflight.php
                        line: 29
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Barryvdh\Cors\HandlePreflight
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 104
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 151
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 116
                        function: sendRequestThroughRouter
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      - file: /var/www/localhost/htdocs/public/index.php
                        line: 53
                        function: handle
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
              examples:
                Example 1:
                  value:
                    message: This ticket is not checked in
                    exception: >-
                      App\Exceptions\CheckInExceptions\TicketNotCheckedInException
                    file: /var/www/localhost/htdocs/app/Services/CheckInService.php
                    line: 95
                    trace:
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/CheckInService.php
                        line: 58
                        function: canCheckOut
                        class: App\Services\CheckInService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/TicketCheckinService.php
                        line: 199
                        function: checkOut
                        class: App\Services\CheckInService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Services/TicketCheckinService.php
                        line: 256
                        function: doCheckOut
                        class: App\Services\TicketCheckinService
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Controllers/TicketController.php
                        line: 58
                        function: checkOutTickets
                        class: App\Services\TicketCheckinService
                        type: '->'
                      - function: checkOutTickets
                        class: App\Http\Controllers\TicketController
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Controller.php
                        line: 54
                        function: call_user_func_array
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/ControllerDispatcher.php
                        line: 45
                        function: callAction
                        class: Illuminate\Routing\Controller
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Route.php
                        line: 219
                        function: dispatch
                        class: Illuminate\Routing\ControllerDispatcher
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Route.php
                        line: 176
                        function: runController
                        class: Illuminate\Routing\Route
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 680
                        function: run
                        class: Illuminate\Routing\Route
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 30
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Middleware/EnsurePermissionsString.php
                        line: 57
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: App\Http\Middleware\EnsurePermissionsString
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/designmynight/laravel-oauth-introspect-middleware/src/VerifyAccessToken.php
                        line: 23
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: DesignMyNight\Laravel\OAuth2\VerifyAccessToken
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Middleware/SubstituteBindings.php
                        line: 41
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Illuminate\Routing\Middleware\SubstituteBindings
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/barryvdh/laravel-cors/src/HandleCors.php
                        line: 36
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Barryvdh\Cors\HandleCors
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/app/Http/Middleware/SecureRedirect.php
                        line: 28
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: App\Http\Middleware\SecureRedirect
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 104
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 682
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 657
                        function: runRouteWithinStack
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 623
                        function: runRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Router.php
                        line: 612
                        function: dispatchToRoute
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 176
                        function: dispatch
                        class: Illuminate\Routing\Router
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 30
                        function: Illuminate\Foundation\Http\{closure}
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/fideloper/proxy/src/TrustProxies.php
                        line: 57
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Fideloper\Proxy\TrustProxies
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/TransformsRequest.php
                        line: 21
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\TransformsRequest
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/ValidatePostSize.php
                        line: 27
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Illuminate\Foundation\Http\Middleware\ValidatePostSize
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Middleware/CheckForMaintenanceMode.php
                        line: 62
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: >-
                          Illuminate\Foundation\Http\Middleware\CheckForMaintenanceMode
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/barryvdh/laravel-cors/src/HandlePreflight.php
                        line: 29
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 163
                        function: handle
                        class: Barryvdh\Cors\HandlePreflight
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Routing/Pipeline.php
                        line: 53
                        function: Illuminate\Pipeline\{closure}
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Pipeline/Pipeline.php
                        line: 104
                        function: Illuminate\Routing\{closure}
                        class: Illuminate\Routing\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 151
                        function: then
                        class: Illuminate\Pipeline\Pipeline
                        type: '->'
                      - file: >-
                          /var/www/localhost/htdocs/vendor/laravel/framework/src/Illuminate/Foundation/Http/Kernel.php
                        line: 116
                        function: sendRequestThroughRouter
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
                      - file: /var/www/localhost/htdocs/public/index.php
                        line: 53
                        function: handle
                        class: Illuminate\Foundation\Http\Kernel
                        type: '->'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  tickets:
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.2
                      device_name: Sweden
                      time: '2022-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.1
                      device_name: Another
                      time: '2023-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                  async: false
              properties:
                tickets:
                  type: array
                  items:
                    type: object
                    properties:
                      ticket_id:
                        type: string
                      device_name:
                        type: string
                      time:
                        type: string
                      source:
                        type: string
                    required:
                      - ticket_id
                      - device_name
                      - time
                      - source
                async:
                  type: boolean
              required:
                - tickets
            examples:
              Check Out Example:
                value:
                  tickets:
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.2
                      device_name: Sweden
                      time: '2022-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                    - ticket_id: 627e095671209038d339a182.627cb97471209027347177dc.1
                      device_name: Another
                      time: '2023-11-11 10:00:00'
                      source: designmynight-ticket-scanner
                  async: false
        description: ''
      parameters:
        - schema:
            type: string
          in: header
          name: authorization
          description: Contains bearer followed by bearer token
          required: true
  /events/{event}/occurrences-summary:
    parameters:
      - schema:
          type: string
          example: 60001c4569308525d873cbd7
        name: event
        in: path
        required: true
        description: Event ID
    get:
      summary: Get Event Occurrences
      tags: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        occurrence_date:
                          type: string
                        occurrence_start:
                          type: string
                        occurrence_end:
                          type: string
                        on_sale:
                          type: boolean
                        is_cancelled:
                          type: boolean
                        nice_date:
                          type: string
                        max_total_tickets:
                          type: integer
                        total_sales_tickets:
                          type: integer
                        sold_out:
                          type: boolean
                  responseTime:
                    type: string
                x-examples:
                  Example 1:
                    data:
                      - occurrence_date: '2023-01-05'
                        occurrence_start: '2023-01-05T19:00:00+00:00'
                        occurrence_end: '2023-01-05T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 5th January 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 0
                        sold_out: false
                      - occurrence_date: '2023-01-12'
                        occurrence_start: '2023-01-12T19:00:00+00:00'
                        occurrence_end: '2023-01-12T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 12th January 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 0
                        sold_out: false
                      - occurrence_date: '2023-01-19'
                        occurrence_start: '2023-01-19T19:00:00+00:00'
                        occurrence_end: '2023-01-19T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: null
                        nice_date: Thursday 19th January 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 2
                        sold_out: false
                      - occurrence_date: '2023-01-26'
                        occurrence_start: '2023-01-26T19:00:00+00:00'
                        occurrence_end: '2023-01-26T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 26th January 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 0
                        sold_out: false
                      - occurrence_date: '2023-02-02'
                        occurrence_start: '2023-02-02T19:00:00+00:00'
                        occurrence_end: '2023-02-02T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 2nd February 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 0
                        sold_out: false
                      - occurrence_date: '2023-02-09'
                        occurrence_start: '2023-02-09T19:00:00+00:00'
                        occurrence_end: '2023-02-09T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 9th February 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 0
                        sold_out: false
                      - occurrence_date: '2023-02-16'
                        occurrence_start: '2023-02-16T19:00:00+00:00'
                        occurrence_end: '2023-02-16T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: null
                        nice_date: Thursday 16th February 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 3
                        sold_out: false
                      - occurrence_date: '2023-02-23'
                        occurrence_start: '2023-02-23T19:00:00+00:00'
                        occurrence_end: '2023-02-23T22:00:00+00:00'
                        on_sale: true
                        is_cancelled: false
                        nice_date: Thursday 23rd February 2023
                        max_total_tickets: 2200
                        total_sales_tickets: 1
                        sold_out: false
                    responseTime: '2023-02-22T13:37:37+00:00'
      operationId: Get Events Occurrences with Summary information
      description: ''
      parameters:
        - schema:
            type: string
            format: date
            pattern: '2023-01-21'
          in: query
          name: item_date_from
          required: true
          description: Event Date From
        - schema:
            type: string
            format: date
            example: '2023-04-21'
          in: query
          name: item_date_to
          required: true
          description: Event Date To
        - schema:
            type: string
          in: header
          name: authorization
          description: Contains bearer followed by bearer token
          required: true
  /purchases/{purchase_id}:
    parameters:
      - schema:
          type: string
        name: purchase_id
        in: path
        required: true
        description: ID of the purchase.
    patch:
      summary: ''
      operationId: Update Purchase
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      created_date:
                        type: string
                      last_updated:
                        type: string
                      purchase_id:
                        type: integer
                      user_id:
                        type: string
                      total_cost:
                        type: number
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                            name:
                              type: string
                            sub_type:
                              type: string
                            sub_type_name:
                              type: string
                            multi_day_ticket:
                              type: boolean
                            quantity:
                              type: integer
                            unit_price:
                              type: integer
                            admin_fee:
                              type: number
                            admin_fee_source:
                              type: string
                            admin_fee_absorbed:
                              type: integer
                            dmn_commission:
                              type: integer
                            dmn_commission_amount_source:
                              type: string
                            dmn_commission_percentage_source:
                              type: string
                            ticket_list:
                              type: array
                              items:
                                type: object
                                properties:
                                  _id:
                                    type: string
                                  reference:
                                    type: integer
                                  checked_in:
                                    type: 'null'
                            purchase_item_type:
                              type: string
                            currency:
                              type: string
                      payments:
                        type: array
                        items:
                          type: object
                          properties:
                            processor:
                              type: string
                            vendor_name:
                              type: string
                            status:
                              type: string
                            payment_for:
                              type: string
                            description:
                              type: string
                            statement_descriptor_suffix:
                              type: string
                            amount:
                              type: number
                            currency:
                              type: string
                            payment_method_id:
                              type: string
                            payment_intent_id:
                              type: string
                            payment_intent_secret:
                              type: string
                            _id:
                              type: string
                            payment_ref:
                              type: string
                            refundable_amount:
                              type: number
                            address:
                              type: array
                              items:
                                type: object
                                properties: {}
                            cardholder_name:
                              type: 'null'
                            card_type:
                              type: string
                            card_funding:
                              type: string
                            card_country:
                              type: string
                            card_suffix:
                              type: string
                      source:
                        type: string
                      status:
                        type: string
                      currency:
                        type: string
                      item_id:
                        type: string
                      item_date:
                        type: string
                      tracking_id:
                        type: string
                      reservation_details:
                        type: object
                        properties:
                          reservation_start_time:
                            type: string
                          reservation_end_time:
                            type: string
                      redeem_points_cash:
                        type: integer
                      token:
                        type: string
                      email:
                        type: string
                      phone:
                        type: string
                      address:
                        type: object
                        properties:
                          first_name:
                            type: string
                          last_name:
                            type: string
                      completed_date:
                        type: string
                      finalised:
                        type: object
                        properties:
                          $date:
                            type: object
                            properties:
                              $numberLong:
                                type: string
                      emails_sent:
                        type: object
                        properties:
                          confirmation:
                            type: string
                      bank_transfer_record:
                        type: object
                        properties:
                          _id:
                            type: object
                            properties:
                              $oid:
                                type: string
                          credit_date:
                            type: object
                            properties:
                              $date:
                                type: object
                                properties:
                                  $numberLong:
                                    type: string
                          invoice_frequency:
                            type: string
                      comments:
                        type: 'null'
                      item:
                        type: object
                        properties:
                          _id:
                            type: string
                          created_date:
                            type: string
                          last_updated:
                            type: string
                          created_by:
                            type: string
                          path:
                            type: string
                          title:
                            type: string
                          slug:
                            type: string
                          content:
                            type: string
                          venue:
                            type: string
                          venue_group_restricts_download_reports:
                            type: boolean
                          list_on_designmynight:
                            type: boolean
                          send_products_email:
                            type: boolean
                          no_cross_promotion:
                            type: boolean
                          reviews_enabled:
                            type: boolean
                          reviews_still_display:
                            type: boolean
                          refunds_enabled:
                            type: boolean
                          sales_approved:
                            type: boolean
                          payments_blocked:
                            type: boolean
                          self_check_in:
                            type: boolean
                          send_activation_link_immediately:
                            type: boolean
                          is_online_event:
                            type: boolean
                          include_url_on_confimation_email:
                            type: boolean
                          minimum_age:
                            type: string
                          date:
                            type: string
                          start_time:
                            type: string
                          end_time:
                            type: string
                          venue_dbp:
                            type: boolean
                          is_cancelled:
                            type: boolean
                          promoter_or_hiring_venue:
                            type: boolean
                          cheapest_available_ticket_price:
                            type: integer
                          most_expensive_available_ticket_price:
                            type: integer
                          status:
                            type: string
                          region:
                            type: string
                          last_edited:
                            type: object
                            properties:
                              user_id:
                                type: object
                                properties:
                                  $oid:
                                    type: string
                              user_email:
                                type: string
                              user_name:
                                type: string
                              date:
                                type: object
                                properties:
                                  $date:
                                    type: object
                                    properties:
                                      $numberLong:
                                        type: string
                          type:
                            type: string
                          show_waiting_list:
                            type: boolean
                          enable_zapier_integration:
                            type: boolean
                          waiting_list_lead_photo_enabled:
                            type: boolean
                          use_venue_photos:
                            type: boolean
                          photos:
                            type: array
                            items:
                              type: object
                              properties: {}
                          sell_until:
                            type: integer
                          notification_email:
                            type: string
                          payment_notification_email:
                            type: string
                          daily_sales_report_recipient:
                            type: string
                          accept_reps:
                            type: boolean
                          accept_all_reps:
                            type: boolean
                          corporate_card_fee_disabled:
                            type: boolean
                          marketing_opt_in_default:
                            type: boolean
                          comments_required:
                            type: boolean
                          send_payment_email:
                            type: boolean
                          phone_number_mandatroy:
                            type: boolean
                          ticket_types:
                            type: array
                            items:
                              type: object
                              properties:
                                created_date:
                                  type: string
                                status:
                                  type: string
                                id:
                                  type: string
                                deleted:
                                  type: boolean
                                price:
                                  type: integer
                                admin_fee_absorbed:
                                  type: integer
                                delivery_required:
                                  type: boolean
                                ticket_type:
                                  type: string
                                max_ticket_sales:
                                  type: integer
                                fixed_ticket_quantities_per_purchase:
                                  type: array
                                  items:
                                    type: object
                                    properties: {}
                                custom_ticket_labels:
                                  type: array
                                  items:
                                    type: object
                                    properties: {}
                                date_restriction:
                                  type: 'null'
                          require_named_tickets:
                            type: boolean
                          require_email_tickets:
                            type: boolean
                          require_guest_phone:
                            type: boolean
                          is_reservation_enabled:
                            type: boolean
                          reservation_duration_in_seconds:
                            type: integer
                          display_vat:
                            type: boolean
                          ticket_type_vat_rate:
                            type: string
                          product_type_vat_rate:
                            type: string
                          tickets_available_at_door:
                            type: boolean
                          require_time_slot_selection:
                            type: boolean
                          hide_sold_out_tickets:
                            type: boolean
                          skip_sold_out_dates:
                            type: boolean
                          hide_urgency_message:
                            type: boolean
                          require_tickets_printed:
                            type: boolean
                          terms_and_conditions:
                            type: string
                          hide_sell_until:
                            type: boolean
                          apply_sell_until_to_tickets:
                            type: boolean
                          disable_credit_cards:
                            type: boolean
                          type_of_event:
                            type: array
                            items:
                              type: object
                              properties:
                                _id:
                                  type: string
                                label:
                                  type: string
                          customer_contact_email:
                            type: string
                          organiser_name:
                            type: string
                          summary_box_enabled:
                            type: boolean
                          vat_number:
                            type: boolean
                          vat_company:
                            type: boolean
                          bank_details:
                            type: string
                          vat_on_commission:
                            type: boolean
                          reclaim_booking_fees:
                            type: boolean
                          currency:
                            type: string
                          timezone:
                            type: string
                          country_code:
                            type: string
                          use_short_barcode:
                            type: boolean
                          food_available:
                            type: boolean
                          use_venue_food_menu:
                            type: boolean
                          send_daily_sales_report:
                            type: boolean
                          disable_ticket_confirmation_emails:
                            type: boolean
                          disable_attendee_list_emails:
                            type: boolean
                          use_partner_ticket_codes:
                            type: boolean
                          final_occurrence:
                            type: string
                          next_date:
                            type: 'null'
                          is_sold_out:
                            type: boolean
                          occurrences:
                            type: array
                            items:
                              type: object
                              properties:
                                sent_ticket_list:
                                  type: boolean
                          daily_sales_report_last_sent:
                            type: object
                            properties:
                              $date:
                                type: object
                                properties:
                                  $numberLong:
                                    type: string
                          prev_date:
                            type: string
                          custom_venue:
                            type: 'null'
                          recurrence:
                            type: 'null'
                          management_comments:
                            type: array
                            items:
                              type: object
                              properties: {}
                          checkout_questions:
                            type: array
                            items:
                              type: object
                              properties: {}
                      checkout_questions:
                        type: array
                        items:
                          type: object
                          properties: {}
                      refund_request:
                        type: array
                        items:
                          type: object
                          properties: {}
                  responseTime:
                    type: string
                x-examples:
                  Example 1:
                    data:
                      _id: 63e5021d71b7bd01533704c1
                      created_date: '2023-02-09 14:24:29'
                      last_updated: '2023-04-18 11:24:41'
                      purchase_id: 8872358517
                      user_id: 614afd255390f807265d7662
                      total_cost: 143.1
                      items:
                        - _id: 63e5021d71b7bd01533704c6
                          name: test final ticket list and daily sales
                          sub_type: 63e501a871b7bd000963c86e
                          sub_type_name: test another ticket
                          multi_day_ticket: false
                          quantity: 3
                          unit_price: 45
                          admin_fee: 2.7
                          admin_fee_source: Region
                          admin_fee_absorbed: 0
                          dmn_commission: 0
                          dmn_commission_amount_source: Default
                          dmn_commission_percentage_source: Default
                          ticket_list:
                            - _id: 63e5021d71b7bd01533704c3
                              reference: 875
                              checked_in: null
                            - _id: 63e5021d71b7bd01533704c4
                              reference: 876
                              checked_in: null
                            - _id: 63e5021d71b7bd01533704c5
                              reference: 877
                              checked_in: null
                          purchase_item_type: ticket
                          currency: GBP
                      payments:
                        - processor: STRIPE
                          vendor_name: wflmedialtd
                          status: OK
                          payment_for: purchase
                          description: 3 x test another ticket on 09/02/2023
                          statement_descriptor_suffix: testfinalticketli
                          amount: 143.1
                          currency: GBP
                          payment_method_id: pm_1MZb3GDK5dphsmtEeeBalntq
                          payment_intent_id: pi_3MZb3HDK5dphsmtE0zbDzEpK
                          payment_intent_secret: >-
                            pi_3MZb3HDK5dphsmtE0zbDzEpK_secret_I3hywSUgt7YXNjJLQuebR50cC
                          _id: 63e5022b4b7030069f43bf06
                          payment_ref: ch_3MZb3HDK5dphsmtE0lCv3lde
                          refundable_amount: 143.1
                          address: []
                          cardholder_name: null
                          card_type: visa
                          card_funding: credit
                          card_country: US
                          card_suffix: '4242'
                      source: designmynight
                      status: complete
                      currency: GBP
                      item_id: 63e501fd71b7bd0010365069
                      item_date: '2023-02-09 00:00:00'
                      tracking_id: 63e5021d71b7bd01533704c7
                      reservation_details:
                        reservation_start_time: '2023-02-09 14:24:29'
                        reservation_end_time: '2023-02-09 14:32:29'
                      redeem_points_cash: 0
                      token: ldx6y4wja9vgyel3joa
                      email: adina.macovei@theaccessgroup.com
                      phone: '1244546459'
                      address:
                        first_name: Adina
                        last_name: Macovei
                      completed_date: '2023-02-09 14:24:46'
                      finalised:
                        $date:
                          $numberLong: '1675952690000'
                      emails_sent:
                        confirmation: '2023-02-09T14:24:54+00:00'
                      bank_transfer_record:
                        _id:
                          $oid: 63eb19060a62646108221216
                        credit_date:
                          $date:
                            $numberLong: '1676419200000'
                        invoice_frequency: standard
                      comments: null
                      item:
                        _id: 63e501fd71b7bd0010365069
                        created_date: '2023-02-09 14:23:57'
                        last_updated: '2023-02-10 02:00:17'
                        created_by: 614afd255390f807265d7662
                        path: >-
                          /be-at-one-test-venue/test-final-ticket-list-and-daily-sales
                        title: test final ticket list and daily sales
                        slug: test-final-ticket-list-and-daily-sales
                        content: <p>test final ticket sales and daily sales</p>
                        venue: 58f75ec87c75752a813dc8c2
                        venue_group_restricts_download_reports: false
                        list_on_designmynight: true
                        send_products_email: true
                        no_cross_promotion: true
                        reviews_enabled: true
                        reviews_still_display: false
                        refunds_enabled: true
                        sales_approved: false
                        payments_blocked: false
                        self_check_in: false
                        send_activation_link_immediately: false
                        is_online_event: false
                        include_url_on_confimation_email: false
                        minimum_age: Over 18
                        date: '2023-02-09 00:00:00'
                        start_time: '19:00'
                        end_time: '22:00'
                        venue_dbp: false
                        is_cancelled: false
                        promoter_or_hiring_venue: false
                        cheapest_available_ticket_price: 45
                        most_expensive_available_ticket_price: 45
                        status: public
                        region: 512b1ebad5d190d2978c277e
                        last_edited:
                          user_id:
                            $oid: 614afd255390f807265d7662
                          user_email: adina.macovei@theaccessgroup.com
                          user_name: Adina Macovei
                          date:
                            $date:
                              $numberLong: '1675952637356'
                        type: event
                        show_waiting_list: false
                        enable_zapier_integration: false
                        waiting_list_lead_photo_enabled: false
                        use_venue_photos: false
                        photos: []
                        sell_until: 0
                        notification_email: adina.macovei@theaccessgroup.com
                        payment_notification_email: adina.macovei@theaccessgroup.com
                        daily_sales_report_recipient: adina.macovei@theaccessgroup.com
                        accept_reps: false
                        accept_all_reps: false
                        corporate_card_fee_disabled: true
                        marketing_opt_in_default: false
                        comments_required: false
                        send_payment_email: true
                        phone_number_mandatroy: false
                        ticket_types:
                          - created_date: '2023-02-09 14:23:57'
                            status: public
                            id: 63e501a871b7bd000963c86e
                            deleted: false
                            price: 45
                            admin_fee_absorbed: 0
                            delivery_required: false
                            ticket_type: test another ticket
                            max_ticket_sales: 110
                            fixed_ticket_quantities_per_purchase: []
                            custom_ticket_labels: []
                            date_restriction: null
                        require_named_tickets: false
                        require_email_tickets: false
                        require_guest_phone: false
                        is_reservation_enabled: true
                        reservation_duration_in_seconds: 480
                        display_vat: false
                        ticket_type_vat_rate: uk_standard
                        product_type_vat_rate: uk_standard
                        tickets_available_at_door: false
                        require_time_slot_selection: false
                        hide_sold_out_tickets: false
                        skip_sold_out_dates: false
                        hide_urgency_message: false
                        require_tickets_printed: false
                        terms_and_conditions: >-
                          <p>1. The ticket holder voluntarily assumes all risks
                          and danger incidental to the event for which the
                          ticket is issued, whether occurring prior, during or
                          after the event. The ticket holder voluntarily agrees
                          that the management, venue, event participants,
                          DesignMyNight (WFL Media Ltd) and all of their
                          respective agents, officers, directors, owners and
                          employers are expressly released by the ticket holder
                          from any claims arising from such causes. 

                          2. Tickets are issued subject to the rules and
                          regulations of the venue.

                          3. Please check your tickets, as mistakes cannot
                          always be rectified.

                          4. Occasionally, events are cancelled or postponed by
                          the promoter, team, performer or venue for a variety
                          of reasons. If the event is cancelled, please contact
                          us for information on receiving a refund from the
                          responsible party. If the event was moved or
                          rescheduled, the venue or promoter may set refund
                          limitations. It is your responsibility to ascertain
                          the date and time of any rearranged event.

                          5. The venue reserves the right to refuse admission
                          and may on occasion have to conduct security searches
                          to ensure the safety of the patrons.

                          6. Every effort to admit latecomers will be made at a
                          suitable break in the event, but admission cannot
                          always be guaranteed.

                          7. We regret that tickets cannot be exchanged or
                          refunded after purchase.

                          8. Tickets are sold subject to the venue or promoter's
                          right to alter or vary the programme due to events or
                          circumstances beyond its control without being obliged
                          to refund monies or exchange tickets.

                          9. If this ticket is re-sold or transferred for profit
                          or commercial gain by anyone other than the promoter,
                          venue management, DesignMyNight or one of their
                          authorised sub-agents, it will become voidable and the
                          holder may be

                          refused entry to or ejected from the venue.

                          10. The venue may operate a No Smoking Policy.

                          11. The promoter, venue management and DesignMyNight
                          accept no responsibility for any personal property.

                          12. The event listed on the purchased ticket is
                          strictly for ticket holders who are over 18 years of
                          age. Identification may be required.</p>
                        hide_sell_until: false
                        apply_sell_until_to_tickets: false
                        disable_credit_cards: false
                        type_of_event:
                          - _id: 58108737e947445532913e15
                            label: Activity
                        customer_contact_email: adina.macovei@theaccessgroup.com
                        organiser_name: test
                        summary_box_enabled: true
                        vat_number: false
                        vat_company: false
                        bank_details: >-
                          slmAnj524cEvaEb4Y5o8QrjEKsVOaXB7I8A82tpG1Xw=:IJWHRTj9Cww9EiA+5uTANVuJ+aC0911ZsL381ivckRA=:AZDtl6mWeenPVum8P4Kehw==:EW5lCHYFyhJQmylRsLyUdIsOU+fOxcHQjz+Eoi2ZOxG+iLOiCt3XyGFKmZwYeTNis5UPkQjyFL1z6pmCduF8HExcfxX/geQtUWRn8bQMXTxOCKOpg0h2r/zXB8/SPvgGy8r4w5mGqsrCQEXJTl9t3Q==
                        vat_on_commission: false
                        reclaim_booking_fees: true
                        currency: GBP
                        timezone: Europe/London
                        country_code: GBR
                        use_short_barcode: true
                        food_available: false
                        use_venue_food_menu: false
                        send_daily_sales_report: true
                        disable_ticket_confirmation_emails: false
                        disable_attendee_list_emails: false
                        use_partner_ticket_codes: false
                        final_occurrence: '2023-02-09 19:00:00'
                        next_date: null
                        is_sold_out: true
                        occurrences:
                          - sent_ticket_list: true
                        daily_sales_report_last_sent:
                          $date:
                            $numberLong: '1675988696000'
                        prev_date: '2023-02-09 19:00:00'
                        custom_venue: null
                        recurrence: null
                        management_comments: []
                        checkout_questions: []
                      checkout_questions: []
                      refund_request: []
                    responseTime: '2023-04-18T11:24:41+01:00'
              examples:
                Example 1:
                  value:
                    data:
                      _id: 63e5021d71b7bd01533704c1
                      created_date: '2023-02-09 14:24:29'
                      last_updated: '2023-04-18 11:24:41'
                      purchase_id: 8872358517
                      user_id: 614afd255390f807265d7662
                      total_cost: 143.1
                      items:
                        - _id: 63e5021d71b7bd01533704c6
                          name: test final ticket list and daily sales
                          sub_type: 63e501a871b7bd000963c86e
                          sub_type_name: test another ticket
                          multi_day_ticket: false
                          quantity: 3
                          unit_price: 45
                          admin_fee: 2.7
                          admin_fee_source: Region
                          admin_fee_absorbed: 0
                          dmn_commission: 0
                          dmn_commission_amount_source: Default
                          dmn_commission_percentage_source: Default
                          ticket_list:
                            - _id: 63e5021d71b7bd01533704c3
                              reference: 875
                              checked_in: null
                            - _id: 63e5021d71b7bd01533704c4
                              reference: 876
                              checked_in: null
                            - _id: 63e5021d71b7bd01533704c5
                              reference: 877
                              checked_in: null
                          purchase_item_type: ticket
                          currency: GBP
                      payments:
                        - processor: STRIPE
                          vendor_name: wflmedialtd
                          status: OK
                          payment_for: purchase
                          description: 3 x test another ticket on 09/02/2023
                          statement_descriptor_suffix: testfinalticketli
                          amount: 143.1
                          currency: GBP
                          payment_method_id: pm_1MZb3GDK5dphsmtEeeBalntq
                          payment_intent_id: pi_3MZb3HDK5dphsmtE0zbDzEpK
                          payment_intent_secret: >-
                            pi_3MZb3HDK5dphsmtE0zbDzEpK_secret_I3hywSUgt7YXNjJLQuebR50cC
                          _id: 63e5022b4b7030069f43bf06
                          payment_ref: ch_3MZb3HDK5dphsmtE0lCv3lde
                          refundable_amount: 143.1
                          address: []
                          cardholder_name: null
                          card_type: visa
                          card_funding: credit
                          card_country: US
                          card_suffix: '4242'
                      source: designmynight
                      status: complete
                      currency: GBP
                      item_id: 63e501fd71b7bd0010365069
                      item_date: '2023-02-09 00:00:00'
                      tracking_id: 63e5021d71b7bd01533704c7
                      reservation_details:
                        reservation_start_time: '2023-02-09 14:24:29'
                        reservation_end_time: '2023-02-09 14:32:29'
                      redeem_points_cash: 0
                      token: ldx6y4wja9vgyel3joa
                      email: adina.macovei@theaccessgroup.com
                      phone: '1244546459'
                      address:
                        first_name: Adina
                        last_name: Macovei
                      completed_date: '2023-02-09 14:24:46'
                      finalised:
                        $date:
                          $numberLong: '1675952690000'
                      emails_sent:
                        confirmation: '2023-02-09T14:24:54+00:00'
                      bank_transfer_record:
                        _id:
                          $oid: 63eb19060a62646108221216
                        credit_date:
                          $date:
                            $numberLong: '1676419200000'
                        invoice_frequency: standard
                      comments: null
                      item:
                        _id: 63e501fd71b7bd0010365069
                        created_date: '2023-02-09 14:23:57'
                        last_updated: '2023-02-10 02:00:17'
                        created_by: 614afd255390f807265d7662
                        path: >-
                          /be-at-one-test-venue/test-final-ticket-list-and-daily-sales
                        title: test final ticket list and daily sales
                        slug: test-final-ticket-list-and-daily-sales
                        content: <p>test final ticket sales and daily sales</p>
                        venue: 58f75ec87c75752a813dc8c2
                        venue_group_restricts_download_reports: false
                        list_on_designmynight: true
                        send_products_email: true
                        no_cross_promotion: true
                        reviews_enabled: true
                        reviews_still_display: false
                        refunds_enabled: true
                        sales_approved: false
                        payments_blocked: false
                        self_check_in: false
                        send_activation_link_immediately: false
                        is_online_event: false
                        include_url_on_confimation_email: false
                        minimum_age: Over 18
                        date: '2023-02-09 00:00:00'
                        start_time: '19:00'
                        end_time: '22:00'
                        venue_dbp: false
                        is_cancelled: false
                        promoter_or_hiring_venue: false
                        cheapest_available_ticket_price: 45
                        most_expensive_available_ticket_price: 45
                        status: public
                        region: 512b1ebad5d190d2978c277e
                        last_edited:
                          user_id:
                            $oid: 614afd255390f807265d7662
                          user_email: adina.macovei@theaccessgroup.com
                          user_name: Adina Macovei
                          date:
                            $date:
                              $numberLong: '1675952637356'
                        type: event
                        show_waiting_list: false
                        enable_zapier_integration: false
                        waiting_list_lead_photo_enabled: false
                        use_venue_photos: false
                        photos: []
                        sell_until: 0
                        notification_email: adina.macovei@theaccessgroup.com
                        payment_notification_email: adina.macovei@theaccessgroup.com
                        daily_sales_report_recipient: adina.macovei@theaccessgroup.com
                        accept_reps: false
                        accept_all_reps: false
                        corporate_card_fee_disabled: true
                        marketing_opt_in_default: false
                        comments_required: false
                        send_payment_email: true
                        phone_number_mandatroy: false
                        ticket_types:
                          - created_date: '2023-02-09 14:23:57'
                            status: public
                            id: 63e501a871b7bd000963c86e
                            deleted: false
                            price: 45
                            admin_fee_absorbed: 0
                            delivery_required: false
                            ticket_type: test another ticket
                            max_ticket_sales: 110
                            fixed_ticket_quantities_per_purchase: []
                            custom_ticket_labels: []
                            date_restriction: null
                        require_named_tickets: false
                        require_email_tickets: false
                        require_guest_phone: false
                        is_reservation_enabled: true
                        reservation_duration_in_seconds: 480
                        display_vat: false
                        ticket_type_vat_rate: uk_standard
                        product_type_vat_rate: uk_standard
                        tickets_available_at_door: false
                        require_time_slot_selection: false
                        hide_sold_out_tickets: false
                        skip_sold_out_dates: false
                        hide_urgency_message: false
                        require_tickets_printed: false
                        terms_and_conditions: >-
                          <p>1. The ticket holder voluntarily assumes all risks
                          and danger incidental to the event for which the
                          ticket is issued, whether occurring prior, during or
                          after the event. The ticket holder voluntarily agrees
                          that the management, venue, event participants,
                          DesignMyNight (WFL Media Ltd) and all of their
                          respective agents, officers, directors, owners and
                          employers are expressly released by the ticket holder
                          from any claims arising from such causes. 

                          2. Tickets are issued subject to the rules and
                          regulations of the venue.

                          3. Please check your tickets, as mistakes cannot
                          always be rectified.

                          4. Occasionally, events are cancelled or postponed by
                          the promoter, team, performer or venue for a variety
                          of reasons. If the event is cancelled, please contact
                          us for information on receiving a refund from the
                          responsible party. If the event was moved or
                          rescheduled, the venue or promoter may set refund
                          limitations. It is your responsibility to ascertain
                          the date and time of any rearranged event.

                          5. The venue reserves the right to refuse admission
                          and may on occasion have to conduct security searches
                          to ensure the safety of the patrons.

                          6. Every effort to admit latecomers will be made at a
                          suitable break in the event, but admission cannot
                          always be guaranteed.

                          7. We regret that tickets cannot be exchanged or
                          refunded after purchase.

                          8. Tickets are sold subject to the venue or promoter's
                          right to alter or vary the programme due to events or
                          circumstances beyond its control without being obliged
                          to refund monies or exchange tickets.

                          9. If this ticket is re-sold or transferred for profit
                          or commercial gain by anyone other than the promoter,
                          venue management, DesignMyNight or one of their
                          authorised sub-agents, it will become voidable and the
                          holder may be

                          refused entry to or ejected from the venue.

                          10. The venue may operate a No Smoking Policy.

                          11. The promoter, venue management and DesignMyNight
                          accept no responsibility for any personal property.

                          12. The event listed on the purchased ticket is
                          strictly for ticket holders who are over 18 years of
                          age. Identification may be required.</p>
                        hide_sell_until: false
                        apply_sell_until_to_tickets: false
                        disable_credit_cards: false
                        type_of_event:
                          - _id: 58108737e947445532913e15
                            label: Activity
                        customer_contact_email: adina.macovei@theaccessgroup.com
                        organiser_name: test
                        summary_box_enabled: true
                        vat_number: false
                        vat_company: false
                        bank_details: >-
                          slmAnj524cEvaEb4Y5o8QrjEKsVOaXB7I8A82tpG1Xw=:IJWHRTj9Cww9EiA+5uTANVuJ+aC0911ZsL381ivckRA=:AZDtl6mWeenPVum8P4Kehw==:EW5lCHYFyhJQmylRsLyUdIsOU+fOxcHQjz+Eoi2ZOxG+iLOiCt3XyGFKmZwYeTNis5UPkQjyFL1z6pmCduF8HExcfxX/geQtUWRn8bQMXTxOCKOpg0h2r/zXB8/SPvgGy8r4w5mGqsrCQEXJTl9t3Q==
                        vat_on_commission: false
                        reclaim_booking_fees: true
                        currency: GBP
                        timezone: Europe/London
                        country_code: GBR
                        use_short_barcode: true
                        food_available: false
                        use_venue_food_menu: false
                        send_daily_sales_report: true
                        disable_ticket_confirmation_emails: false
                        disable_attendee_list_emails: false
                        use_partner_ticket_codes: false
                        final_occurrence: '2023-02-09 19:00:00'
                        next_date: null
                        is_sold_out: true
                        occurrences:
                          - sent_ticket_list: true
                        daily_sales_report_last_sent:
                          $date:
                            $numberLong: '1675988696000'
                        prev_date: '2023-02-09 19:00:00'
                        custom_venue: null
                        recurrence: null
                        management_comments: []
                        checkout_questions: []
                      checkout_questions: []
                      refund_request: []
                    responseTime: '2023-04-18T11:24:41+01:00'
      description: Update details of the purchase
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                comments:
                  type: string
              x-examples:
                Example 1:
                  comments: Sean new comments
            examples:
              Example 1:
                value:
                  comments: string
        description: ''
components:
  schemas: {}
  parameters:
    source:
      name: source
      in: query
      required: true
      schema:
        type: string
        enum:
          - designmynight-ticket-scanner
          - partner
        example: designmynight-ticket-scanner
      description: The source for checking in the ticket
    time:
      name: time
      in: query
      required: true
      schema:
        type: string
        pattern: ^\d{4}\-(0?[1-9]|1[012])\-(0?[1-9]|[12][0-9]|3[01])$
        format: date-time
      description: The date_time that the request is made at.
    device_name:
      name: device_name
      in: query
      required: true
      schema:
        type: string
      description: The name of the device which is checking in the ticket
  securitySchemes: {}
